summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2007-02-05 13:19:39 +0000
committerBernard Cafarelli <voyageur@gentoo.org>2007-02-05 13:19:39 +0000
commit64afd6815a66390c07987dff3ff9ca7918de7e4b (patch)
treeee980a2ff91d3bf9e6d91ffefe4b4821baf24b76 /net-misc/nxserver-freenx
parentClean up of the overlay: removed all ebuilds already in portage (diff)
downloadnx-64afd6815a66390c07987dff3ff9ca7918de7e4b.tar.gz
nx-64afd6815a66390c07987dff3ff9ca7918de7e4b.tar.bz2
nx-64afd6815a66390c07987dff3ff9ca7918de7e4b.zip
Added work already done from my overlay, including:
* Updated nx components (both source and nxnode for free edition) * Fixed license and upgrades handling for free edition * nx compilation support on multilib amd64 * new freenx 0.6.0 with rdesktop/vnc fix * Cleanups (DEPEND/RDEPEND, replaced nxwrapper) svn path=/testing/; revision=121
Diffstat (limited to 'net-misc/nxserver-freenx')
-rw-r--r--net-misc/nxserver-freenx/Manifest20
-rw-r--r--net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.03
-rw-r--r--net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch23
-rw-r--r--net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch53
-rw-r--r--net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch12
-rw-r--r--net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild115
6 files changed, 226 insertions, 0 deletions
diff --git a/net-misc/nxserver-freenx/Manifest b/net-misc/nxserver-freenx/Manifest
new file mode 100644
index 0000000..b385303
--- /dev/null
+++ b/net-misc/nxserver-freenx/Manifest
@@ -0,0 +1,20 @@
+AUX nxserver-freenx-0.6.0-fullscreen.patch 752 RMD160 206ac906a4bbac650f6408f6c74d67fcc73a7cec SHA1 1608700493319bf6d8a019fb8440d82c087862ed SHA256 7247807b1e7775f6d2e072dc95634cd622a68b54b7a3de4a488ffdf8fc5c76a6
+MD5 079512120f28b48334604fb710130f47 files/nxserver-freenx-0.6.0-fullscreen.patch 752
+RMD160 206ac906a4bbac650f6408f6c74d67fcc73a7cec files/nxserver-freenx-0.6.0-fullscreen.patch 752
+SHA256 7247807b1e7775f6d2e072dc95634cd622a68b54b7a3de4a488ffdf8fc5c76a6 files/nxserver-freenx-0.6.0-fullscreen.patch 752
+AUX nxserver-freenx-0.6.0-nxloadconfig.patch 2823 RMD160 e3f4a7f32e3962690ba2704c612220f8dc99cb44 SHA1 58ea968770e729a029e05ce6934eb16339d0955c SHA256 660f3bf731114f9ea9cf0129649d95a3b1ac0dd219541ddf6866ed2ede725179
+MD5 8f0661a55bfdfef0c29c4b9df82e9857 files/nxserver-freenx-0.6.0-nxloadconfig.patch 2823
+RMD160 e3f4a7f32e3962690ba2704c612220f8dc99cb44 files/nxserver-freenx-0.6.0-nxloadconfig.patch 2823
+SHA256 660f3bf731114f9ea9cf0129649d95a3b1ac0dd219541ddf6866ed2ede725179 files/nxserver-freenx-0.6.0-nxloadconfig.patch 2823
+AUX nxserver-freenx-0.6.0-rdesktop.patch 321 RMD160 27b3ea1ac16fe20f0a516151ca057c5ad965d48a SHA1 a939667db26363cb68bdbf63e71106a670e0530d SHA256 b6cf0b897fbbcfa535c09ba87221b8930276970202dadf662f134bb0dc01acc6
+MD5 103110225d1c3c695cf6619f4c00c294 files/nxserver-freenx-0.6.0-rdesktop.patch 321
+RMD160 27b3ea1ac16fe20f0a516151ca057c5ad965d48a files/nxserver-freenx-0.6.0-rdesktop.patch 321
+SHA256 b6cf0b897fbbcfa535c09ba87221b8930276970202dadf662f134bb0dc01acc6 files/nxserver-freenx-0.6.0-rdesktop.patch 321
+DIST freenx-0.6.0.tar.gz 110758 RMD160 6000d5fed4d11dbb4c750b43c81626991460ccbb SHA1 c43ce0462fa6c7fe84d5c7db8e5c14dc8ab2feed SHA256 928a4be2ecdfb560abc93737d049fa5b2459e64c431d4aa43e46c6c4df52b3ca
+EBUILD nxserver-freenx-0.6.0.ebuild 2950 RMD160 46b8b10cdf558305138bc7cf12bc9bde9ee60d8d SHA1 79e1b57a55447a553df0ab502f214847d1af2d1d SHA256 204ad6e3acf0a023104bbe5a0051d228e8b4598cea76f13ff1a72fc8cb056bec
+MD5 cb0b9b2b525f9cc2d16bb35f2697e740 nxserver-freenx-0.6.0.ebuild 2950
+RMD160 46b8b10cdf558305138bc7cf12bc9bde9ee60d8d nxserver-freenx-0.6.0.ebuild 2950
+SHA256 204ad6e3acf0a023104bbe5a0051d228e8b4598cea76f13ff1a72fc8cb056bec nxserver-freenx-0.6.0.ebuild 2950
+MD5 4ea9feb54f34954f8d43c80f44a2cd9a files/digest-nxserver-freenx-0.6.0 238
+RMD160 4d8159168dc51338e9ab715840a060628a0234b2 files/digest-nxserver-freenx-0.6.0 238
+SHA256 1d10b1f32814e055aa8289983618c869f3b5a7cc1718c5b943fe32e2e8bfd509 files/digest-nxserver-freenx-0.6.0 238
diff --git a/net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.0 b/net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.0
new file mode 100644
index 0000000..2d1c7bb
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/digest-nxserver-freenx-0.6.0
@@ -0,0 +1,3 @@
+MD5 504aaa2c3c93c36eefab74e2b8a6506e freenx-0.6.0.tar.gz 110758
+RMD160 6000d5fed4d11dbb4c750b43c81626991460ccbb freenx-0.6.0.tar.gz 110758
+SHA256 928a4be2ecdfb560abc93737d049fa5b2459e64c431d4aa43e46c6c4df52b3ca freenx-0.6.0.tar.gz 110758
diff --git a/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch
new file mode 100644
index 0000000..a8bdc45
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-fullscreen.patch
@@ -0,0 +1,23 @@
+--- freenx-0.6.0/nxnode 2006-10-05 21:24:20.000000000 +0200
++++ freenx-0.6.0/nxnode 2006-10-05 21:21:11.000000000 +0200
+@@ -629,6 +629,10 @@
+ imagecompressionmethod=$(getparam imagecompressionmethod)
+ imagecompressionlevel=$(getparam imagecompressionlevel)
+ geometry=$(getparam geometry)
++
++ # fullscreen variable added to fix fullscreen on client login
++ fullscreen=$(getparam fullscreen)
++
+ keyboard=$(getparam keyboard)
+ kbtype=$(getparam kbtype)
+ media=$(getparam media)
+@@ -664,7 +668,8 @@
+ status=$(getparam status)
+ host=$(getparam host)
+
+- fullscreen=""
++# commented out to fix fullscreen on client login
++# fullscreen=""
+ [ "$geometry" = "fullscreen" ] && fullscreen="1"
+
+ [ "$EXPORT_USERIP" = "1" ] && export NXUSERIP="$userip"
diff --git a/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch
new file mode 100644
index 0000000..d0deb20
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-nxloadconfig.patch
@@ -0,0 +1,53 @@
+--- nxloadconfig.orig 2007-01-23 04:22:50.000000000 +0100
++++ nxloadconfig 2007-01-29 17:29:38.000000000 +0100
+@@ -58,7 +58,8 @@
+ # Where can different nx components be found
+ NX_DIR=/usr
+ PATH_BIN=$NX_DIR/bin # if you change that, be sure to also change the public keys
+-PATH_LIB=$NX_DIR/lib
++REAL_PATH_BIN=$NX_DIR/lib/NX/bin
++PATH_LIB=$NX_DIR/lib/NX/lib
+ NX_ETC_DIR=/etc/nxserver
+ NX_SESS_DIR=/var/lib/nxserver/db
+ NX_HOME_DIR=/var/lib/nxserver/home
+@@ -154,7 +155,7 @@
+ DEFAULT_X_WM=""
+ KILL_DEFAULT_X_WM="1"
+ USER_X_STARTUP_SCRIPT=.Xclients
+-DEFAULT_X_SESSION=/etc/X11/xdm/Xsession
++DEFAULT_X_SESSION=/etc/X11/Sessions/Xsession
+ COMMAND_START_KDE=startkde
+ COMMAND_START_GNOME=gnome-session
+ COMMAND_START_CDE=cdwm
+@@ -263,11 +264,11 @@
+ [ -z "$AGENT_LIBRARY_PATH" ] && AGENT_LIBRARY_PATH=$PATH_LIB
+ [ -z "$PROXY_LIBRARY_PATH" ] && PROXY_LIBRARY_PATH=$PATH_LIB
+ [ -z "$APPLICATION_LIBRARY_PATH" ] && APPLICATION_LIBRARY_PATH=$PATH_LIB
+-[ -z "$APPLICATION_LIBRARY_PRELOAD" ] && APPLICATION_LIBRARY_PRELOAD="$APPLICATION_LIBRARY_PATH/libX11.so.6.2:$APPLICATION_LIBRARY_PATH/libXext.so.6.4:$APPLICATION_LIBRARY_PATH/libXcomp.so:$APPLICATION_LIBRARY_PATH/libXcompext.so.1:$APPLICATION_LIBRARY_PATH/libXrender.so.1.2"
++[ -z "$APPLICATION_LIBRARY_PRELOAD" ] && APPLICATION_LIBRARY_PRELOAD="$APPLICATION_LIBRARY_PATH/libX11.so:$APPLICATION_LIBRARY_PATH/libXext.so:$APPLICATION_LIBRARY_PATH/libXcomp.so:$APPLICATION_LIBRARY_PATH/libXcompext.so:$APPLICATION_LIBRARY_PATH/libXrender.so"
+ if [ -z "$ENABLE_2_0_0_BACKEND" ]
+ then
+ ENABLE_2_0_0_BACKEND="1"
+- [ -z "$(strings $PATH_BIN/nxagent | egrep 'NXAGENT - Version 2.[01].0')" ] && ENABLE_2_0_0_BACKEND="0"
++ [ -z "$(strings $REAL_PATH_BIN/nxagent | egrep 'NXAGENT - Version 2.[01].0')" ] && ENABLE_2_0_0_BACKEND="0"
+ fi
+
+ [ -z "$KDE_PRINTRC" -a -n "$KDEHOME" ] && KDE_PRINTRC="$KDEHOME/share/config/kdeprintrc"
+@@ -288,7 +289,7 @@
+ ERROR="yes" && echo "Error: Invalid value \"PATH_BIN=$PATH_BIN\""
+ # Check for NX agents ...
+
+- [ ! -f "$PATH_BIN/nxagent" ] && \
++ [ ! -f "$REAL_PATH_BIN/nxagent" ] && \
+ ERROR="yes" && echo "Error: Could not find nxagent in $PATH_BIN. Please install some OSS components."
+
+ [ ! -f "$PATH_BIN/nxdesktop" ] && \
+@@ -509,7 +510,7 @@
+ [ -z $(echo "$ENABLE_ROOTLESS_MODE" | egrep "^[0|1]$") ] && \
+ ERROR="yes" && echo "Error: Invalid value \"ENABLE_ROOTLESS_MODE=$ENABLE_ROOTLESS_MODE\""
+
+- [ -z "$(strings $PATH_BIN/nxagent | egrep 'NXAGENT - Version 1.5.0|NXAGENT - Version 2.[01].0')" ] && \
++ [ -z "$(strings $REAL_PATH_BIN/nxagent | egrep 'NXAGENT - Version 1.5.0|NXAGENT - Version 2.[01].0')" ] && \
+ ERROR="yes" && echo "Error: Could not find 1.5.0 or 2.[01].0 version string in nxagent. NX 1.5.0 or 2.[01].0 backend is needed for this version of FreeNX."
+
+ [ -z $(echo "$ENABLE_USESSION" | egrep "^[0|1]$") ] && \
diff --git a/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch
new file mode 100644
index 0000000..e6ed42a
--- /dev/null
+++ b/net-misc/nxserver-freenx/files/nxserver-freenx-0.6.0-rdesktop.patch
@@ -0,0 +1,12 @@
+--- nxnode.orig 2007-02-02 19:54:15.000000000 +0100
++++ nxnode 2007-02-02 19:50:28.000000000 +0100
+@@ -253,6 +253,9 @@
+
+ NODE_APPLICATION=$(node_find_application "$type")
+
++ # For rdesktop/VNC, there is no application to start
++ [ -n "$NODE_APPLICATION" ] || return
++
+ #
+ # Check if we want to use a mediahelper
+ #
diff --git a/net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild b/net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild
new file mode 100644
index 0000000..0237f62
--- /dev/null
+++ b/net-misc/nxserver-freenx/nxserver-freenx-0.6.0.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit multilib eutils
+
+MY_PN="freenx"
+DESCRIPTION="An X11/RDP/VNC proxy server especially well suited to low bandwidth links such as wireless, WANS, and worse"
+HOMEPAGE="http://freenx.berlios.de/"
+SRC_URI="http://download.berlios.de/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="strip"
+IUSE="arts cups esd nxclient"
+DEPEND="virtual/ssh
+ dev-tcltk/expect
+ sys-apps/gawk
+ net-analyzer/gnu-netcat
+ nxclient? ( net-misc/nxclient )
+ !nxclient? ( !net-misc/nxclient )
+ net-misc/nx
+ arts? ( kde-base/arts )
+ cups? ( net-print/cups )
+ esd? ( media-sound/esound )
+ !net-misc/nxserver-freeedition
+ !net-misc/nxserver-personal
+ !net-misc/nxserver-business
+ !net-misc/nxserver-enterprise"
+
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_PN}-${PV}
+
+export NX_HOME_DIR=/var/lib/nxserver/home
+
+pkg_setup () {
+ enewuser nx -1 -1 ${NX_HOME_DIR}
+}
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+
+ # fix fullscreen support; see bug 150200
+ epatch ${FILESDIR}/${P}-fullscreen.patch
+ # fix rdesktop/vnc proxying
+ epatch ${FILESDIR}/${P}-rdesktop.patch
+
+ mv node.conf.sample node.conf || die
+
+ epatch ${FILESDIR}/${P}-nxloadconfig.patch
+ # on amd64, get the correct path to NX 32bit libs
+ has_multilib_profile && \
+ sed -i "/PATH_LIB=/s/NX\/lib/NX\/$(get_abi_LIBDIR x86)/" nxloadconfig
+ # Change the defaults in nxloadconfig to meet the users needs.
+ if use arts ; then
+ einfo "Enabling arts support."
+ sed -i '/ENABLE_ARTSD_PRELOAD=/s/"0"/"1"/' nxloadconfig || die
+ sed -i '/ENABLE_ARTSD_PRELOAD=/s/"0"/"1"/' node.conf || die
+ fi
+ if use esd ; then
+ einfo "Enabling esd support."
+ sed -i '/ENABLE_ESD_PRELOAD=/s/"0"/"1"/' nxloadconfig || die
+ sed -i '/ENABLE_ESD_PRELOAD=/s/"0"/"1"/' node.conf || die
+ fi
+ if use cups ; then
+ einfo "Enabling cups support."
+ sed -i '/ENABLE_KDE_CUPS=/s/"0"/"1"/' nxloadconfig || die
+ sed -i '/ENABLE_KDE_CUPS=/s/"0"/"1"/' node.conf || die
+ fi
+}
+
+src_compile() {
+ einfo "Nothing to compile"
+}
+
+src_install() {
+ NX_ETC_DIR=/etc/nxserver
+ NX_SESS_DIR=/var/lib/nxserver/db
+
+ dobin nxserver
+ dobin nxnode
+ dobin nxnode-login
+ dobin nxkeygen
+ dobin nxloadconfig
+ dobin nxsetup
+ use nxclient || dobin nxprint
+ use nxclient || dobin nxclient
+
+ dodir ${NX_ETC_DIR}
+ for x in passwords passwords.orig ; do
+ touch ${D}${NX_ETC_DIR}/$x
+ chmod 600 ${D}${NX_ETC_DIR}/$x
+ done
+
+ insinto ${NX_ETC_DIR}
+ doins node.conf
+
+ dodir ${NX_HOME_DIR}
+
+ for x in closed running failed ; do
+ keepdir ${NX_SESS_DIR}/$x
+ fperms 0700 ${NX_SESS_DIR}/$x
+ done
+}
+
+pkg_postinst () {
+ usermod -s /usr/bin/nxserver nx || die "Unable to set login shell of nx user!!"
+ usermod -d ${NX_HOME_DIR} nx || die "Unable to set home directory of nx user!!"
+
+ elog "To complete the installation, run:"
+ elog " nxsetup --install --setup-nomachine-key --clean --purge"
+ elog "This will use the default Nomachine SSH key"
+}